Subject: Re: [PATCH 4/5] doc: use .adoc extension for AsciiDoc files

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 Feb 2025 13:14:07 -0800

M Hickford <[email-masked]> writes:

> On Mon, 20 Jan 2025 at 01:56, brian m. carlson
> <[email-masked]> wrote:
>>
>> We presently use the ".txt" extension for our AsciiDoc files.  While not
>> wrong, most editors do not associate this extension with AsciiDoc,
>> meaning that contributors don't get automatic editor functionality that
>> could be useful, such as syntax highlighting and prose linting.
>>
>> It is much more common to use the ".adoc" extension for AsciiDoc files,
>> since this helps editors automatically detect files and also allows
>> various forges to provide rich (HTML-like) rendering.  Let's do that
>> here, renaming all of the files and updating the includes where
>> relevant.  Adjust the various build scripts and makefiles to use the new
>> extension as well.
>
> Hi Brian. How about also renaming SubmittingPatches to
> SubmittingPatches.adoc? This is AsciiDoc according to 049e64aa50
> (Documentation: convert SubmittingPatches to AsciiDoc, 2017-11-12).

Do we pass SubmittingPatches (and CodingGuidelines for that matter)
through AsciiDoc?  They do not even have .txt suffix, so I suspect
it is not.

I would prefer to see the general rule to be to rename s/txt/adoc/
ONLY for files that we actually use AsciiDoc to convert to HTML or
manpages, and leave other sleeping dogs unmolested.

Thanks.